﻿@attribute [Authorize(Roles = "User")]
@page "/profile"
@layout Shared.MainLayout

<h3>Profile</h3>

<div class="container-fluid">
    @if (loggedNurseDto.Email != null)
    {
    <EditForm Model="@loggedNurseDto" OnValidSubmit="@(e => SubmitAsync(loggedNurseDto))">

        <DataAnnotationsValidator />
        <div class="row">
            <input type="hidden" @bind="loggedNurseDto.Id" />
            <div class="col-6 form-inline form-group">
                <label class="col-sm-4 col-form-label">Name: </label>
                <div class="col-8 form-group">
                    <input class="form-control col-12" type="text" @bind="loggedNurseDto.Name" />
                    <ValidationMessage For="@(() => loggedNurseDto.Name)" />
                </div>
            </div>
            <div class="col-6 form-inline form-group">
                <label class="col-sm-4 col-form-label">NIC: </label>
                <div class="col-8 form-group">
                    <input class="form-control col-12" type="text" @bind="loggedNurseDto.Nic" />
                    <ValidationMessage For="@(() => loggedNurseDto.Nic)" />
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-6 form-inline form-group">
                <label class="col-sm-4 col-form-label">MobileNumber: </label>
                <div class="col-8 form-group">
                    <input class="form-control col-12" type="text" @bind="loggedNurseDto.MobileNumber" />
                    <ValidationMessage For="@(() => loggedNurseDto.MobileNumber)" />
                </div>
            </div>
            <div class="col-6 form-inline form-group">
                <label class="col-sm-4 col-form-label">ExtraMobileNo: </label>
                <div class="col-8 form-group">
                    <input class="form-control col-12" type="text" @bind="loggedNurseDto.ExtraMobileNo" />
                    <ValidationMessage For="@(() => loggedNurseDto.ExtraMobileNo)" />
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-6 form-inline form-group">
                <label class="col-sm-4 col-form-label">Email: </label>
                <div class="col-8 form-group">
                    <input class="form-control col-12" type="text" @bind="loggedNurseDto.Email" disabled />
                    <ValidationMessage For="@(() => loggedNurseDto.Email)" />
                </div>
            </div>
            <div class="col-6 form-inline form-group">
                <label class="col-sm-4 col-form-label">MyPromoCode: </label>
                <div class="col-8 form-group">
                    <input class="form-control col-6" type="text" @bind="loggedNurseDto.MyPromoCode" readonly />&nbsp;&nbsp;
                    <button type="button" class="btn btn-info btn-sm float-right col-5"><span class="oi oi-tag"></span> Get Promo Code</button>
                    <ValidationMessage For="@(() => loggedNurseDto.MyPromoCode)" />
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-6 form-inline form-group">
                <label class="col-sm-4 col-form-label">Package: </label>
                <div class="col-8 form-group">
                    <input class="form-control col-12" type="text" @bind="loggedNurseDto.Package.Name" disabled />
                    @*<ValidationMessage For="@(() => loggedNurseDto.Email)" />*@
                </div>
            </div>
            <div class="col-6 form-inline form-group">
                <label class="col-sm-4 col-form-label">Available View Count: </label>
                <div class="col-8 form-group">
                    <input class="form-control col-12" type="text" @bind="availableViewCount" disabled />
                    @*<ValidationMessage For="@(() => loggedNurseDto.MyPromoCode)" />*@
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-6 form-inline form-group">
                <label class="col-sm-4 col-form-label">Current Hospital: </label>
                <div class="col-8 form-group">
                    <select class="form-control col-12" @bind="loggedNurseDto.CurrentHospitalId">
                        @foreach (var hospital in hospitalList)
                        {
                            <option value="@hospital.Id">@hospital.Name</option>
                        }
                    </select>
                    <ValidationMessage For="@(() => loggedNurseDto.CurrentHospitalId)" />
                </div>
            </div>
            <div class="col-6 form-inline form-group">
                <label class="col-sm-4 col-form-label">Expected Hospital: </label>
                <div class="col-8 form-group">
                    <select class="form-control col-10" @bind="loggedNurseDto.Id">
                        @foreach (var hospital in GetExpectHospitalByNurseIdAsync(loggedNurseDto.Id))
                        {
                            <option value="@hospital.Id">@hospital.Name</option>
                        }
                    </select>&nbsp;&nbsp;
                    <button type="button" class="btn btn-light float-right"><span class="text-success oi oi-plus"></span></button>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-6">

            </div>
            <div class="col-6">
                <div class="col-8"></div>
                <button type="submit" disabled="@OkayDisabled" class="btn btn-warning float-right col-4"><span class="oi oi-pencil"></span> Update Information</button>
            </div>
        </div>
    </EditForm>
    }
    else
    {
        <div>
            <div class="spinner-grow text-info" role="status">
                <span class="sr-only">Loading...</span>
            </div>
            <div class="alert alert-warning" role="alert">
                Data Loading...
            </div>
        </div>
    }

</div>

@code {

}
